LMAccess.USER_INFO_23 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LMAccess, class: USER_INFO_23

Package com.sun.jna.platform.win32

# Class LMAccess.USER_INFO_23

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.LMAccess.USER_INFO_23

Enclosing interface:
  LMAccess

@FieldOrder({"usri23_name","usri23_full_name","usri23_comment","usri23_flags","usri23_user_sid"}) public static class LMAccess.USER_INFO_23 extends Structure
The USER_INFO_23 structure contains information about a user account, including the account name, the user's full name, a comment associated with the account, and the user's security identifier (SID). Note : The USER_INFO_23 structure supersedes the USER_INFO_20 structure. It is recommended that applications use the USER_INFO_23 structure instead of the USER_INFO_20 structure.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `usri23_comment`
  A pointer to a Unicode string that contains a comment associated with the user account.
  `int`
  `usri23_flags`
  This member can be one or more of the following values.
  `String`
  `usri23_full_name`
  A pointer to a Unicode string that contains the full name of the user.
  `String`
  `usri23_name`
  A pointer to a Unicode string that specifies the name of the user account.
  `WinNT.PSID.ByReference`
  `usri23_user_sid`
  A pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the user.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `USER_INFO_23()`
  `USER_INFO_23(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### usri23_name

    public String usri23_name
    A pointer to a Unicode string that specifies the name of the user account. Calls to the NetUserSetInfo function ignore this member.

  - ### usri23_full_name

    public String usri23_full_name
    A pointer to a Unicode string that contains the full name of the user. This string can be a null string, or it can have any number of characters before the terminating null character.

  - ### usri23_comment

    public String usri23_comment
    A pointer to a Unicode string that contains a comment associated with the user account. This string can be a null string, or it can have any number of characters before the terminating null character.

  - ### usri23_flags

    public int usri23_flags
    This member can be one or more of the following values. Note that setting user account control flags may require certain privileges and control access rights. For more information, see the Remarks section of the NetUserSetInfo function. Value Meaning UF_SCRIPT The logon script executed. This value must be set. UF_ACCOUNTDISABLE The user's account is disabled. UF_HOMEDIR_REQUIRED The home directory is required. This value is ignored. UF_PASSWD_NOTREQD No password is required. UF_PASSWD_CANT_CHANGE The user cannot change the password. UF_LOCKOUT The account is currently locked out. You can call the NetUserSetInfo function to clear this value and unlock a previously locked account. You cannot use this value to lock a previously unlocked account. UF_DONT_EXPIRE_PASSWD The password should never expire on the account. UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED The user's password is stored under reversible encryption in the Active Directory. UF_NOT_DELEGATED Marks the account as "sensitive"; other users cannot act as delegates of this user account. UF_SMARTCARD_REQUIRED Requires the user to log on to the user account with a smart card. UF_USE_DES_KEY_ONLY Restrict this principal to use only Data Encryption Standard (DES) encryption types for keys. UF_DONT_REQUIRE_PREAUTH This account does not require Kerberos preauthentication for logon. UF_TRUSTED_FOR_DELEGATION The account is enabled for delegation. This is a security-sensitive setting; accounts with this option enabled should be tightly controlled. This setting allows a service running under the account to assume a client's identity and authenticate as that user to other remote servers on the network. UF_PASSWORD_EXPIRED The user's password has expired. Windows 2000: This value is not supported. UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION The account is trusted to authenticate a user outside of the Kerberos security package and delegate that user through constrained delegation. This is a security-sensitive setting; accounts with this option enabled should be tightly controlled. This setting allows a service running under the account to assert a client's identity and authenticate as that user to specifically configured services on the network. Windows XP/2000: This value is not supported. The following values describe the account type. Only one value can be set. You cannot change the account type using the NetUserSetInfo function. Value Meaning UF_NORMAL_ACCOUNT This is a default account type that represents a typical user. UF_TEMP_DUPLICATE_ACCOUNT This is an account for users whose primary account is in another domain. This account provides user access to this domain, but not to any domain that trusts this domain. The User Manager refers to this account type as a local user account. UF_WORKSTATION_TRUST_ACCOUNT This is a computer account for a computer that is a member of this domain. UF_SERVER_TRUST_ACCOUNT This is a computer account for a backup domain controller that is a member of this domain. UF_INTERDOMAIN_TRUST_ACCOUNT This is a permit to trust account for a domain that trusts other domains.

  - ### usri23_user_sid

    public WinNT.PSID.ByReference usri23_user_sid
    A pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the user. The NetUserAdd and NetUserSetInfo functions ignore this member.

- ## Constructor Details

  - ### USER_INFO_23

    public USER_INFO_23()

  - ### USER_INFO_23

    public USER_INFO_23(Pointer memory)